package com.ly.controller.util;

import lombok.Data;
//封装数据统一数据格式
@Data
public class R {
    private Boolean flag;
    private  Object data;
    private String msg;
    public R(Boolean flag){
        this.flag=flag;
    }
    public R(){

    }
    public R(Boolean flag, Object data){
        this.flag=flag;
        this.data=data;
    }
    public R(Boolean flag,Object data,String msg){
        this.flag = flag;
        this.data = data;
        this.msg = msg;
    }

}
